
def random_user_behavior(user):
    from locust import TaskSet, task
    from random import choice

    class UserBehavior(TaskSet):
        tasks = [random_task]

        @task
        def random_task(self):
            actions = ["click", "scroll", "type", "wait"]
            action = choice(actions)
            if action == "click":
                self.click("random_button")
            elif action == "scroll":
                self.scroll(0, 100)
            elif action == "type":
                self.type("random_text")
            elif action == "wait":
                self.wait(choice([1, 2, 3, 4, 5]))

    user.behave(UserBehavior)



